commit:     fa3632a2d1db782e20e0a0ba31d7aed3876dc226
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 07:05:02 2017 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri May 19 07:06:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fa3632a2

net-analyzer/tcpreplay: Version bump.

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-analyzer/tcpreplay/Manifest               |  1 +
 net-analyzer/tcpreplay/tcpreplay-4.2.6.ebuild | 74 +++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/net-analyzer/tcpreplay/Manifest b/net-analyzer/tcpreplay/Manifest
index dfd9c1d017f..e6710d79e1e 100644
--- a/net-analyzer/tcpreplay/Manifest
+++ b/net-analyzer/tcpreplay/Manifest
@@ -1,3 +1,4 @@
 DIST tcpreplay-4.1.2.tar.gz 2162175 SHA256 
da483347e83a9b5df0e0dbb0f822a2d37236e79dda35f4bc4e6684fa827f25ea SHA512 
3a7d125f38fe15070d666eacb4a5ef026a73ff850adec7ef3592966f38d1d155002792c5d5ac2476aa034d71be5f31b9dacd5be34af01a336149af3a42cad360
 WHIRLPOOL 
e5ca80234655b3614eebd400954b53d958d08dbe91cf123db07935e5bebfb34ad40cd41a7a25a8d8ee684dbcaeda41c75a18503172830141dca022713b7814d6
 DIST tcpreplay-4.2.4.tar.gz 3489615 SHA256 
da78ea1a1fe8ff177a4f9e71c4c6739b79ac86db2c2bb90955318b8e8439beb7 SHA512 
b29463272abb18789b5e095a86b0c10433e3f3c8a1af8a906f68221d78c1c9e6703d3f000e7ad86151ec6356f24aa80e1d0c6d128a52c426a14f080341e1cc10
 WHIRLPOOL 
7d116a159928088e18ba1bcf4a5dbb3b3bae91cb43227820baa42aff9f5406b43383381844d18cf038d40d3844b40bf064ff724a772a2025f0871e98c31573eb
 DIST tcpreplay-4.2.5.tar.gz 3494832 SHA256 
941026be34e1db5101d3d22ebddd6fff76179a1ee81e273338f533ba4eca89d7 SHA512 
d4f8e2fd8be0f996b9595fc2ff04b1b38de0663266b304e60b1d5619255113c877ac8472ca3db5f92115f10c9a7985de3509a596324fe0b35cda604c4b2ae51d
 WHIRLPOOL 
56053ddfbb00b94b3969cc0ac7ae6b34c740d95a4f35c30d5b1a2a359d399b9071178b3139bcf66a41e78607284f6beaf52f4e96c0f98303b764948850e3937b
+DIST tcpreplay-4.2.6.tar.gz 3494827 SHA256 
043756c532dab93e2be33a517ef46b1341f7239278a1045ae670041dd8a4531d SHA512 
a46846b29e3cd7fbc635faee9c4be90db0d346c0d0f291ac8e007e1fbf614289094e14480c1c5b40feb5a175d3cbad018e2dd4d1a5762b7d31a4325af6102e7e
 WHIRLPOOL 
97502778faee6dd27516c0323b6f4589b30a621e0380c579a68bd75744e03e1ec542e45b86427bff9482145dacae4d98d4a2025436c6411cb25f0fec306acc8f

diff --git a/net-analyzer/tcpreplay/tcpreplay-4.2.6.ebuild 
b/net-analyzer/tcpreplay/tcpreplay-4.2.6.ebuild
new file mode 100644
index 00000000000..ee0ea9dffd4
--- /dev/null
+++ b/net-analyzer/tcpreplay/tcpreplay-4.2.6.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools flag-o-matic
+
+DESCRIPTION="utilities for editing and replaying previously captured network 
traffic"
+HOMEPAGE="http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay";
+LICENSE="BSD GPL-3"
+SRC_URI="https://github.com/appneta/${PN}/releases/download/v${PV/_/-}/${P/_/-}.tar.gz
 -> ${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+IUSE="debug pcapnav +tcpdump"
+
+DEPEND="
+       >=sys-devel/autogen-5.18.4[libopts]
+       dev-libs/libdnet
+       >=net-libs/libpcap-0.9
+       tcpdump? ( net-analyzer/tcpdump )
+       pcapnav? ( net-libs/libpcapnav )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=(
+       docs/{CHANGELOG,CREDIT,HACKING,TODO}
+)
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.1.0-enable-pcap_findalldevs.patch
+)
+
+S=${WORKDIR}/${P/_/-}
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's|#include <dnet.h>|#include <dnet/eth.h>|g' \
+               src/common/sendpacket.c || die
+       sed -i \
+               -e 's|@\([A-Z_]*\)@|$(\1)|g' \
+               -e '/tcpliveplay_CFLAGS/s|$| $(LDNETINC)|g' \
+               -e '/tcpliveplay_LDADD/s|$| $(LDNETLIB)|g' \
+               src/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       # By default it uses static linking. Avoid that, bug 252940
+       econf \
+               $(use_enable debug) \
+               $(use_with pcapnav pcapnav-config /usr/bin/pcapnav-config) \
+               $(use_with tcpdump tcpdump /usr/sbin/tcpdump) \
+               --disable-local-libopts \
+               --enable-dynamic-link \
+               --enable-shared \
+               --with-libdnet \
+               --with-testnic2=lo \
+               --with-testnic=lo
+}
+
+src_test() {
+       if [[ ! ${EUID} -eq 0 ]]; then
+               ewarn "Some tests were disabled due to FEATURES=userpriv"
+               ewarn "To run all tests issue the following command as root:"
+               ewarn " # make -C ${S}/test"
+               emake -j1 -C test tcpprep || die "self test failed - see 
${S}/test/test.log"
+       else
+               emake -j1 test || {
+                       ewarn "Note, that some tests require eth0 iface to be 
UP." ;
+                       die "self test failed - see ${S}/test/test.log" ; }
+       fi
+}

Reply via email to